View Issue Details

IDProjectCategoryView StatusLast Update
0007142VALENTINA STUDIOImport/Exportpublic2015-06-26 18:02
ReporterJoyceAssigned ToSergey Pashkov 
PriorityimmediateSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
PlatformINTELOSOS X YOSEMITE OS Version10.10.3
Product Version5.8 
Target Version5.8Fixed in Version5.8 
Summary0007142: Fields in CSV file which are empty block import to Postgresql server
DescriptionHello,
Since update of Valentina Studio version 5.8.6, I cannot import CSV files containing empty fields to server. In the past a CSV file that was NULL (no data in the cell == empty cell in csv file) did not block import to Postgresql server. Now, none of the lines in the CSV file with empty fields are passed. I made sure the fields were correctly set to NULLABLE and they are , and I am not talking of Primary Keys but regular fields.
Steps To Reproduce- create a CSV file with different fields (columns).
- leave empty spaces in one of the fields
- try to import the CSV to a table on PostgreSQL using the wizard on Valentina Studio.

=> you will get an error on the empty cells and all the entries where you have empty spaces will not be imported to your Postgresql server.
Additional Information- I have tried to remove all the "" of the empty spaces using a Perl script ==> it did not work.
- I have tried to write /N in the empty spaces, it did not work either.
- I have tried to write NULL in the empty spaces, still it did not work.
==> it should be possible to import csv files containing empty fields when they are nullable.
TagsNo tags attached.
Working with DB:postgreSQL Server
Version of your DB

Relationships

related to 0007118 closedSergey Pashkov Import CSV - PostgreSQL - Cannot import NULL timestamp with time zone 

Activities

Joyce

Joyce

2015-06-24 15:50

reporter  

screenshot_28.png (47,918 bytes)
Sergey Pashkov

Sergey Pashkov

2015-06-26 13:46

developer   ~0008236

Fixed, commit 14ddf9ab4d58ced031de5f6a3731db3c8243bd0d/hotfix

Now empty values are treated as NULLs for NULLABLE fields (as it is done, for example, in Valentina database).

Issue History

Date Modified Username Field Change
2015-06-24 15:50 Joyce New Issue
2015-06-24 15:50 Joyce File Added: screenshot_28.png
2015-06-25 07:39 Sergey Pashkov Assigned To => Sergey Pashkov
2015-06-25 07:39 Sergey Pashkov Status new => assigned
2015-06-26 13:46 Sergey Pashkov Note Added: 0008236
2015-06-26 13:46 Sergey Pashkov Product Version => 5.8
2015-06-26 13:46 Sergey Pashkov Fixed in Version => 5.8
2015-06-26 13:46 Sergey Pashkov Target Version => 5.8
2015-06-26 13:47 Sergey Pashkov Status assigned => resolved
2015-06-26 13:47 Sergey Pashkov Resolution open => fixed
2015-06-26 18:02 Sergey Pashkov Relationship added related to 0007118